<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/System/src/RevokeAuthorizationHandler.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_5c34f9d308a00f77f2da80e40fcb7b22.html">System</a></li><li class="navelem"><a class="el" href="dir_6e1ab6ecbbd1e0e446549c892c01897f.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">RevokeAuthorizationHandler.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_revoke_authorization_handler_8h_source.html">System/RevokeAuthorizationHandler.h</a>&quot;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for RevokeAuthorizationHandler.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_revoke_authorization_handler_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_system_2src_2_revoke_authorization_handler_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_system_2src_2_revoke_authorization_handler_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_system_2src_2_revoke_authorization_handler_8cpp">
<area shape="rect" id="node2" href="_revoke_authorization_handler_8h.html" title="System/RevokeAuthorization\lHandler.h" alt="" coords="885,119,1077,157"/>
<area shape="rect" id="node38" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="52,305,222,344"/>
<area shape="rect" id="node41" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="1082,479,1258,517"/>
<area shape="rect" id="node7" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2275,212,2468,251"/>
<area shape="rect" id="node11" href="_exception_encountered_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ExceptionEncounteredSenderInterface.h" alt="" coords="1870,305,2135,344"/>
<area shape="rect" id="node36" href="_revoke_authorization_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/RevokeAuthorizationObserver\lInterface.h" alt="" coords="880,205,1083,257"/>
<area shape="rect" id="node10" href="_namespace_and_name_8h.html" title="AVSCommon/AVS/NamespaceAnd\lName.h" alt="" coords="2833,479,3062,517"/>
<area shape="rect" id="node14" href="_channel_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ChannelObserverInterface.h" alt="" coords="2939,305,3132,344"/>
<area shape="rect" id="node16" href="_context_requester_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextRequesterInterface.h" alt="" coords="2233,739,2428,777"/>
<area shape="rect" id="node18" href="_state_provider_interface_8h.html" title="AVSCommon/SDKInterfaces\l/StateProviderInterface.h" alt="" coords="2668,305,2859,344"/>
<area shape="rect" id="node19" href="_directive_handler_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerInterface.h" alt="" coords="2210,305,2400,344"/>
<area shape="rect" id="node35" href="_directive_handler_result_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DirectiveHandlerResultInterface.h" alt="" coords="593,392,817,431"/>
<area shape="rect" id="node12" href="_exception_error_type_8h.html" title="AVSCommon/AVS/ExceptionError\lType.h" alt="" coords="1919,479,2142,517"/>
<area shape="rect" id="node15" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="2935,399,3147,424"/>
<area shape="rect" id="node20" href="_a_v_s_directive_8h.html" title="AVSCommon/AVS/AVSDirective.h" alt="" coords="2194,485,2417,511"/>
<area shape="rect" id="node32" href="_directive_handler_configuration_8h.html" title="AVSCommon/AVS/DirectiveHandler\lConfiguration.h" alt="" coords="2526,392,2759,431"/>
<area shape="rect" id="node22" href="_attachment_manager_interface_8h.html" title="Attachment/AttachmentManager\lInterface.h" alt="" coords="1799,565,2011,604"/>
<area shape="rect" id="node30" href="_a_v_s_message_8h.html" title="AVSMessage.h" alt="" coords="2557,659,2669,684"/>
<area shape="rect" id="node24" href="_attachment_8h.html" title="AVSCommon/AVS/Attachment\l/Attachment.h" alt="" coords="1630,652,1831,691"/>
<area shape="rect" id="node25" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="1906,739,2107,777"/>
<area shape="rect" id="node27" href="_attachment_writer_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentWriter.h" alt="" coords="1680,739,1882,777"/>
<area shape="rect" id="node28" href="_in_process_s_d_s_8h.html" title="AVSCommon/Utils/SDS\l/InProcessSDS.h" alt="" coords="1189,739,1351,777"/>
<area shape="rect" id="node31" href="_a_v_s_message_header_8h.html" title="AVSMessageHeader.h" alt="" coords="2705,745,2860,771"/>
<area shape="rect" id="node33" href="_blocking_policy_8h.html" title="BlockingPolicy.h" alt="" coords="2636,572,2753,597"/>
<area shape="rect" id="node40" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="892,392,1068,431"/>
<area shape="rect" id="node43" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="1064,565,1277,604"/>
<area shape="rect" id="node44" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="2210,652,2386,691"/>
<area shape="rect" id="node45" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="1368,565,1544,604"/>
<area shape="rect" id="node49" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="2087,565,2284,604"/>
<area shape="rect" id="node50" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="181,739,357,777"/>
<area shape="rect" id="node46" href="_log_entry_stream_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryStream.h" alt="" coords="1378,652,1554,691"/>
<area shape="rect" id="node47" href="_log_entry_buffer_8h.html" title="AVSCommon/Utils/Logger\l/LogEntryBuffer.h" alt="" coords="888,739,1064,777"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1system"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html">alexaClientSDK::capabilityAgents::system</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_revoke_authorization_handler_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:acfd2be0e214f1d04b68e7cbff015d4f1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#acfd2be0e214f1d04b68e7cbff015d4f1">alexaClientSDK::capabilityAgents::system::TAG</a> {&quot;RevokeAuthorizationHandler&quot;}</td></tr>
<tr class="memdesc:acfd2be0e214f1d04b68e7cbff015d4f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#acfd2be0e214f1d04b68e7cbff015d4f1">More...</a><br /></td></tr>
<tr class="separator:acfd2be0e214f1d04b68e7cbff015d4f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0cbfe599f3f12b2fc1cecc33a08b73f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#ae0cbfe599f3f12b2fc1cecc33a08b73f">alexaClientSDK::capabilityAgents::system::REVOKE_NAMESPACE</a> = &quot;System&quot;</td></tr>
<tr class="memdesc:ae0cbfe599f3f12b2fc1cecc33a08b73f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This string holds the namespace for AVS revoke.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#ae0cbfe599f3f12b2fc1cecc33a08b73f">More...</a><br /></td></tr>
<tr class="separator:ae0cbfe599f3f12b2fc1cecc33a08b73f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95027af77d546880300ce808ac55fb3d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#a95027af77d546880300ce808ac55fb3d">alexaClientSDK::capabilityAgents::system::REVOKE_DIRECTIVE_NAME</a> = &quot;RevokeAuthorization&quot;</td></tr>
<tr class="memdesc:a95027af77d546880300ce808ac55fb3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This string holds the name of the directive that's being sent for revoking.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1system.html#a95027af77d546880300ce808ac55fb3d">More...</a><br /></td></tr>
<tr class="separator:a95027af77d546880300ce808ac55fb3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
